Uploaded image for project: 'PUBLIC - Liferay IDE'
  1. PUBLIC - Liferay IDE
  2. IDE-4622

Remove dependency versions should work when target platform is enable no matter index source is set or not

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Minor
    • Resolution: No Longer Reproducible
    • Affects Version/s: 3.6.1, 3.6.2
    • Fix Version/s: None
    • Component/s: Upgrade Planner
    • Labels:
      None

      Description

      1. new liferay upgrade plan and select upgrading code outline
      2. set up a workspace
      3. open gradle.properties, make sure you have specified
       liferay.workspace.target.platform.version = 7.2.0 
       target.platform.index.sources = false  
      1. import existing plugins SDK Projects
      2. Migrate existing plugins to workspace
      3. Upgrade Build Dependencies > Remove Dependency Versions

      notice build.gradle in your project, notice the versions all exists, while if you set target.platform.index.sources =true, all versions will be removed

      we should remove versions no matter what value target.platform.iindex.sources is. This step should work if you have set target.platform to a valid version

        Attachments

          Activity

            People

            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:
                Days since last comment:
                15 weeks, 3 days ago

                Packages

                Version Package